質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.06%

zabbixのPHP databases supportをmysqlに変更したい

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 3,236

tk_flavor

score 104

Ubuntu 14.04 64bitのOSに
zabbix2.4をインストールしまして、WEBUI画面から
Configure DB connectionの画面に遷移して確認すると
Database typeがpostgresqlしか選択できません

確認すると、Check of pre-requisites
の項目にあるPHP databases supportがPostgreSQLとなっていました。

Database typeでmysqlを選択したいと思うのですが、その際、修正したい設定ファイルがどこになるのか
ご教示頂けますと幸いです

zabbixを入れた際のコマンドは下記になります

sudo apt-get install zabbix-server-mysql zabbix-frontend-php
sudo apt-get install zabbix-agent

psコマンドで確認するとmysqlは起動しています

ps -ef|grep mysql
mysql    23108     1  2 16:31 ?        00:00:00 /usr/sbin/mysqld  

zabbixを入れた後に

create database zabbix; 
grant all privileges on zabbix.* to zabbix@'localhost' identified by 'password'; 
のコマンドを実行して
mysql -u root -p zabbix < schema.sql 
mysql -u root -p zabbix < images.sql 
mysql -u root -p zabbix < data.sql

を実行後に、zabbix-server、zabbix-agent
を再起動しています

以上、よろしくお願い致します

 

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

/usr/share/doc/zabbix-frontend-php/README.Debian によると、php5-mysql をインストールする必要があるようです。

If you are using PostgreSQL as a database backend please make sure that
the 'php5-pgsql' package is installed. Similarly you may need
'php5-mysql' if you are using y MySQL database backend.

apache2 の再起動も忘れずに。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/08/31 10:07

    zabbix-server-mysql zabbix-frontend-php zabbix-agent
    をremoveして、 
    php5-mysql php5-gd php-xml-util php-net-socket php-gettext
    zabbix-get zabbix-server-mysql zabbix-frontend-php zabbix-agent
    入れなおしました

    そうすると、mysqlが選択項目に出てきました

    キャンセル

  • 2016/08/31 10:14

    ありがとうございます

    ご指摘のように、php5-mysqlを入れる事で確認出来ました

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.06%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る